unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, 
    Dialogs, StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    Image9: TImage;
    RB1: TRadioButton;
    RB2: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure ImageClick(Sender: TObject);
  private
    { private declarations }
    procedure TesteGewonnen;
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  ImageName: Array[1..9] of String;

const
  MyImages: Array[1..2] of String =
    ('menu_close.png', 'lazarus32x32.png');

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  for i:=1 to 9 do ImageName[i]:='NoImage' + IntToStr(i);   //kein Bild ist geladen!
end;

procedure TForm1.ImageClick(Sender: TObject);
var
  i: Integer;
  s: String;
begin
  if not (Sender is TImage) then Exit;

  s:=StringReplace(TImage(Sender).Name, 'Image', '', []);   //das 'Image' aus Namen der Images weg, es bleibt nur noch eine Zahl im String übrig
  if not TryStrToInt(s, i) then Exit;                       //Versuche Image.. zu identifizieren
  if (i < Low(ImageName)) or (i > High(ImageName)) then Exit;

  if RB1.Checked then
    ImageName[i]:=MyImages[1];
  if RB2.Checked then
    ImageName[i]:=MyImages[2];

  if FileExists(ImageName[i]) then
    TImage(Sender).Picture.LoadFromFile(ImageName[i]);

  TesteGewonnen;
end;

procedure TForm1.TesteGewonnen;
var
  i, j, Gleich: Integer;
  aImageName: String;
begin
  for i:=1 to 7 do begin
    aImageName:=ImageName[i];
    Gleich:=1;
    for j:=i + 1 to 9 do
      if (ImageName[j] = aImageName) then
      begin
        inc(Gleich);
        if Gleich = 3 then begin
          ShowMessage('Ich habe gewonnen');
          Exit;
        end;
      end;
  end;
end;

end.

